import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import Typography from "@material-ui/core/Typography";
import Link from "@material-ui/core/Link";
import styles from "../../../components/common/styles/gridStyles";

const useStyles = makeStyles(styles);

const ServerSummary = ({ data, openAbout }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={6} sm={4} md={4}>
        {`${t("Server.Domain")}: `}
        <span className={classes.value}>{data.domain}</span>
      </Grid>

      <Grid item xs={6} sm={4} md={4}>
        {`${t("Server.ServerHostName")}: `}
        <span className={classes.value}>{data.hosts.server}</span>
      </Grid>

      <Grid item xs={6} sm={4} md={4}>
        {`${t("Server.ApiHostName")}: `}
        <span className={classes.value}>{data.hosts.api}</span>
      </Grid>

      <Grid item xs={6} sm={4} md={4}></Grid>

      <Grid item xs={12} sm={12} md={12}>
        <Typography variant="body2" gutterBottom color="textSecondary">
          {
            "Bla bla bla, bla bla bla, bla bla bla, Bla bla bla, bla bla bla, bla bla bla, Bla bla bla, bla bla bla. Pentru mai multe detalii click "
          }
          <Link href="#" onClick={openAbout} variant="body2">
            {"aici"}
          </Link>
        </Typography>
      </Grid>
    </Grid>
  );
};

ServerSummary.propTypes = {
  data: PropTypes.object.isRequired,
  openAbout: PropTypes.func.isRequired
};

export default ServerSummary;
